summaryrefslogtreecommitdiffstats
path: root/jjb/doctor/docu-verify.sh
diff options
context:
space:
mode:
authorCarlos Goncalves <carlos.goncalves@neclab.eu>2015-05-11 14:38:42 +0200
committerCarlos Goncalves <carlos.goncalves@neclab.eu>2015-05-11 14:38:42 +0200
commit458bba6f7accab1bf8f118368c34d2b8c4a29dfc (patch)
tree1396608a08c0b28787779c24f3943221fd9293c7 /jjb/doctor/docu-verify.sh
parentaffb0a0384b1029a4448d2b9b5e0566fec0f3029 (diff)
Documentation build scripts for Doctor project
JIRA: DOCS-29 Signed-off-by: Carlos Goncalves <carlos.goncalves@neclab.eu>
Diffstat (limited to 'jjb/doctor/docu-verify.sh')
-rw-r--r--jjb/doctor/docu-verify.sh33
1 files changed, 33 insertions, 0 deletions
diff --git a/jjb/doctor/docu-verify.sh b/jjb/doctor/docu-verify.sh
new file mode 100644
index 000000000..f337a7fae
--- /dev/null
+++ b/jjb/doctor/docu-verify.sh
@@ -0,0 +1,33 @@
+#!/bin/bash
+set -e
+set -o pipefail
+
+project="$(git remote -v | head -n1 | awk '{{print $2}}' | sed -e 's,.*:\(.*/\)\?,,' -e 's/\.git$//')"
+export PATH=$PATH:/usr/local/bin/
+
+git_sha1="$(git rev-parse HEAD)"
+docu_build_date="$(date)"
+
+files=()
+while read -r -d ''; do
+ files+=("$REPLY")
+done < <(find * -type f -iname '*.rst' -print0)
+
+for file in "${{files[@]}}"; do
+
+ file_cut="${{file%.*}}"
+ gs_cp_folder="${{file_cut}}"
+
+ # sed part
+ sed -i "s/_sha1_/$git_sha1/g" $file
+ sed -i "s/_date_/$docu_build_date/g" $file
+
+ # rst2html part
+ echo "rst2html $file"
+ rst2html $file > $file_cut".html"
+
+ echo "rst2pdf $file"
+ rst2pdf $file -o $file_cut".pdf"
+
+done
+